Package tigase.server.xmppserver.proc

# Class S2SAbstractProcessor

java.lang.Object
tigase.server.xmppserver.proc.S2SAbstract
tigase.server.xmppserver.proc.S2SAbstractProcessor

All Implemented Interfaces:
  `Comparable<S2SProcessor>`, `S2SProcessor`, `StatisticsProviderIfc`

Direct Known Subclasses:
  `AuthenticationProcessor`, `StartTLS`, `StartZlib`, `StreamError`, `StreamFeatures`, `StreamOpen`

public abstract class S2SAbstractProcessor extends S2SAbstract implements S2SProcessor
Created: Dec 10, 2010 3:32:11 PM

Author:
  Artur Hefczyc

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static enum`
  `S2SAbstractProcessor.Order`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Comparator<S2SProcessor>`
  `processorsComparator`

  ### Fields inherited from class tigase.server.xmppserver.proc.S2SAbstract

  `DB_RESULT_EL_NAME, DB_VERIFY_EL_NAME, DIALBACK_EL, DIALBACK_NS, FEATURES_DIALBACK_PATH, FEATURES_EL, FEATURES_NS, FEATURES_STARTTLS_PATH, FORCE_VERSION, handler, PROCEED_TLS_EL, RESULT_EL_NAME, START_TLS_EL, START_TLS_NS, STREAM_FEATURES_EL, VERIFY_EL_NAME, VERSION_ATT_NAME, XMLNS_CLIENT_VAL, XMLNS_DB_ATT, XMLNS_DB_VAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `S2SAbstractProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(S2SProcessor proc)`
  `void`
  `getStatistics(String compName, StatisticsList list)`
  `boolean`
  `process(Packet p, S2SIOService serv, Queue<Packet> results)`
  `void`
  `serviceStarted(S2SIOService serv)`
  `void`
  `serviceStopped(S2SIOService serv)`
  `void`
  `setSkipTlsHosts(String[] skipTlsHosts)`
  `boolean`
  `skipTLSForHost(String hostname)`
  `void`
  `streamClosed(S2SIOService serv)`
  `void`
  `streamFeatures(S2SIOService serv, List<Element> results)`
  `String`
  `streamOpened(S2SIOService serv, Map<String,String> attribs)`

  ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstract

  `generateStreamError, generateStreamError, init`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.server.xmppserver.S2SProcessor

  `init, order, shouldSkipUndelivered, stopProcessing`

- ## Field Details

  - ### processorsComparator

    protected static final Comparator<S2SProcessor> processorsComparator

- ## Constructor Details

  - ### S2SAbstractProcessor

    public S2SAbstractProcessor()

- ## Method Details

  - ### setSkipTlsHosts

    public void setSkipTlsHosts(String[] skipTlsHosts)

  - ### process

    public boolean process(Packet p, S2SIOService serv, Queue<Packet> results)
    Specified by:
      `process` in interface `S2SProcessor`

  - ### serviceStarted

    public void serviceStarted(S2SIOService serv)
    Specified by:
      `serviceStarted` in interface `S2SProcessor`

  - ### serviceStopped

    public void serviceStopped(S2SIOService serv)
    Specified by:
      `serviceStopped` in interface `S2SProcessor`

  - ### skipTLSForHost

    public boolean skipTLSForHost(String hostname)

  - ### streamClosed

    public void streamClosed(S2SIOService serv)
    Specified by:
      `streamClosed` in interface `S2SProcessor`

  - ### streamFeatures

    public void streamFeatures(S2SIOService serv, List<Element> results)
    Specified by:
      `streamFeatures` in interface `S2SProcessor`

  - ### streamOpened

    public String streamOpened(S2SIOService serv, Map<String,String> attribs)
    Specified by:
      `streamOpened` in interface `S2SProcessor`

  - ### compareTo

    public int compareTo(S2SProcessor proc)
    Specified by:
      `compareTo` in interface `Comparable<S2SProcessor>`

  - ### getStatistics

    public void getStatistics(String compName, StatisticsList list)
    Specified by:
      `getStatistics` in interface `StatisticsProviderIfc`